jphase.values

## Class GenerationResult

- java.lang.Object
- - jphase.values.GenerationResult

-     public class GenerationResult
      extends java.lang.Object

  This class stores the information generated in a Random Variate Generation Process.
  Author:
    Andres Sarmiento Romero

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerationResult(umontreal.iro.lecuyer.probdist.Distribution distribucion, int cantidad, java.lang.String ruta)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCantidad()`
    `umontreal.iro.lecuyer.probdist.Distribution` | `getDistribucion()`
    `java.lang.String` | `getRuta()`
    `void` | `setCantidad(int cantidad)`
    `void` | `setDistribucion(umontreal.iro.lecuyer.probdist.Distribution distribucion)`
    `void` | `setRuta(java.lang.String ruta)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerationResult

          public GenerationResult(umontreal.iro.lecuyer.probdist.Distribution distribucion,
                          int cantidad,
                          java.lang.String ruta)

      Parameters:
        `distribucion` - Distribution used to generate the variates
        `cantidad` - Number of variates to generate
        `ruta` - File location

  - ### Method Detail

    - #### getDistribucion

          public umontreal.iro.lecuyer.probdist.Distribution getDistribucion()

      Returns:
        the distribution

    - #### setDistribucion

          public void setDistribucion(umontreal.iro.lecuyer.probdist.Distribution distribucion)

      Parameters:
        `distribucion` - the distribution to set

    - #### getCantidad

          public int getCantidad()

      Returns:
        the cantidad

    - #### setCantidad

          public void setCantidad(int cantidad)

      Parameters:
        `cantidad` - the cantidad to set

    - #### getRuta

          public java.lang.String getRuta()

      Returns:
        the ruta

    - #### setRuta

          public void setRuta(java.lang.String ruta)

      Parameters:
        `ruta` - the ruta to set

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`